Test contributions from master
Fix permission for devops-stages files (+x)
Adding the repository to CI/CD pipeline
Adding VIM to OSM option
Adding BRANCH_NAME variable for release tests
Adding prometheus_host env variable for ci/cd
git cherry-pick -n e1a9c5709cce246d2cca273be7d8f61b8404efea^..72556ca8d5a07199c182a586688bbebe8cf1cfad
Change-Id: Ia2050a13afc383a5491ba40f8f49af0d8ac49d30
Author: Felipe Vicens <felipe.vicens@atos.net>
Signed-off-by: beierlm <mark.beierl@canonical.com>
diff --git a/robot-systest/run_test.sh b/robot-systest/run_test.sh
index 1f8636d..edf32b7 100755
--- a/robot-systest/run_test.sh
+++ b/robot-systest/run_test.sh
@@ -32,6 +32,13 @@
git checkout ${PACKAGES})
}
+create_vim(){
+ echo -e "\nCreating VIM ${VIM_TARGET}"
+ osm vim-create --name ${VIM_TARGET} --user ${OS_USERNAME} --password ${OS_PASSWORD} --tenant ${OS_PROJECT_NAME} \
+ --auth_url ${OS_AUTH_URL} --account_type openstack --description vim \
+ --config "{management_network_name: ${VIM_MGMT_NET}}" || true
+}
+
PARAMS=""
while (( "$#" )); do
@@ -45,9 +52,13 @@
shift 2
;;
-o|--osmclientversion)
- OSMCLIENT=$2 install_osmclient
+ OSMCLIENT=$2 && install_osmclient
shift 2
;;
+ -c|--createvim)
+ create_vim
+ shift 1
+ ;;
-h|--help)
echo "OSM TESTS TOOL
@@ -59,12 +70,13 @@
-o <osmclient_version> \\
-p <package_branch> \\
-t <testing_tags>
-
+
Options:
--env-file: It is the environmental file where is described the OSM target and VIM
-o <osmclient_version> [OPTIONAL]: It is used to specify a particular osmclient version. Default: latest
-p <package_branch> [OPTIONAL]: OSM packages repository branch. Default: master
-t <testing_tags> [OPTIONAL]: Robot tests tags. [sanity, regression, particular_test]. Default: sanity
+ -c To create a VIM for the tests
Volumes:
<path_to_reports> [OPTIONAL]: It is the absolute path to reports location in the host
@@ -86,13 +98,17 @@
eval set -- "$PARAMS"
-if [[ -z $TEST ]]; then
+if [[ -n "$BRANCH_NAME" ]]; then
+ PACKAGES=$BRANCH_NAME && download_packages
+ OSMCLIENT=$BRANCH_NAME && install_osmclient
+fi
+
+if [[ -z "${TEST}" ]]; then
printf "Test not provided. \nRunning default test: sanity\n"
TEST="sanity"
fi
-
-if [[ -n "$TEST" ]]; then
+if [[ -n "${TEST}" ]]; then
robot -d ${ROBOT_DEVOPS_FOLDER}/reports -i ${TEST} ${ROBOT_DEVOPS_FOLDER}/testsuite/
exit 0
else